# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TGetColumnsResp

Packages that use TGetColumnsResp
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TGetColumnsResp in com.databricks.jdbc.model.client.thrift.generated

Subclasses with type arguments of type TGetColumnsResp in com.databricks.jdbc.model.client.thrift.generated
Modifier and Type
Class
Description
`static class`
`TCLIService.AsyncClient.GetColumns_call`
`static class`
`TCLIService.AsyncProcessor.GetColumns<I extends TCLIService.AsyncIface>`
Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TGetColumnsResp
Modifier and Type
Class
Description
`class`
`TGetColumnsResp`
`class`
`TGetColumnsResp`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TGetColumnsResp
Modifier and Type
Field
Description
`TGetColumnsResp`
TCLIService.GetColumns_result.`success`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TGetColumnsResp
Modifier and Type
Method
Description
`TGetColumnsResp`
TGetColumnsResp.`deepCopy()`
`TGetColumnsResp`
TCLIService.Client.`GetColumns(TGetColumnsReq req)`
`TGetColumnsResp`
TCLIService.Iface.`GetColumns(TGetColumnsReq req)`
`TGetColumnsResp`
TCLIService.AsyncClient.GetColumns_call.`getResult()`
`TGetColumnsResp`
TCLIService.GetColumns_result.`getSuccess()`
`TGetColumnsResp`
TCLIService.Client.`recv_GetColumns()`
`TGetColumnsResp`
TGetColumnsResp.`setDirectResults(TSparkDirectResults directResults)`
`TGetColumnsResp`
TGetColumnsResp.`setOperationHandle(TOperationHandle operationHandle)`
`TGetColumnsResp`
TGetColumnsResp.`setStatus(TStatus status)`
Methods in com.databricks.jdbc.model.client.thrift.generated that return types with arguments of type TGetColumnsResp
Modifier and Type
Method
Description
`org.apache.thrift.async.AsyncMethodCallback<TGetColumnsResp>`
TCLIService.AsyncProcessor.GetColumns.`getResultHandler(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb, int seqid)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetColumnsResp
Modifier and Type
Method
Description
`int`
TGetColumnsResp.`compareTo(TGetColumnsResp other)`
`boolean`
TGetColumnsResp.`equals(TGetColumnsResp that)`
`TCLIService.GetColumns_result`
TCLIService.GetColumns_result.`setSuccess(TGetColumnsResp success)`
Method parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TGetColumnsResp
Modifier and Type
Method
Description
`void`
TCLIService.AsyncClient.`GetColumns(TGetColumnsReq req, org.apache.thrift.async.AsyncMethodCallback<TGetColumnsResp> resultHandler)`
`void`
TCLIService.AsyncIface.`GetColumns(TGetColumnsReq req, org.apache.thrift.async.AsyncMethodCallback<TGetColumnsResp> resultHandler)`
`void`
TCLIService.AsyncProcessor.GetColumns.`start(I iface, TCLIService.GetColumns_args args, org.apache.thrift.async.AsyncMethodCallback<TGetColumnsResp> resultHandler)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetColumnsResp
Modifier
Constructor
Description
``
`GetColumns_result(TGetColumnsResp success)`
``
`TGetColumnsResp(TGetColumnsResp other)`
Performs a deep copy on other.
Constructor parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TGetColumnsResp
Modifier
Constructor
Description
``
`GetColumns_call(TGetColumnsReq req, org.apache.thrift.async.AsyncMethodCallback<TGetColumnsResp> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`